<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
	<featuremodel name="planar3teager">
		<feature>InputColumn(POSTAG, Stack[0])</feature>
		<feature>InputColumn(POSTAG, Input[0])</feature>
		<feature>InputColumn(POSTAG, Input[1])</feature>
		<feature>InputColumn(POSTAG, Input[2])</feature>
		<feature>InputColumn(POSTAG, Input[3])</feature>
		<feature>InputColumn(POSTAG, Input[4])</feature>

		<feature>InputColumn(POSTAG, Stack[1])</feature>

	
		<feature>InputColumn(POSTAG, pred(Input[0]))</feature>
		<feature>InputColumn(CPOSTAG, Stack[0])</feature>
		<feature>InputColumn(CPOSTAG, Input[0])</feature>
		<feature>InputColumn(CPOSTAG, pred(Input[0]))</feature>
		<feature>InputColumn(CPOSTAG, head1(Stack[1]))</feature>
		<feature>InputColumn(CPOSTAG, head2(Stack[1]))</feature>
		<feature>InputColumn(CPOSTAG, head3(Stack[1]))</feature>

		<!--Mejora con esto
                <feature>OutputColumn(DEPREL, Input[0])</feature>-->
                
                <feature>OutputColumn(DEPREL, Stack[0])</feature>
                <feature>OutputColumn(DEPREL, ldep(Stack[0]))</feature>
		<feature>OutputColumn(DEPREL, rdep(Stack[0]))</feature>
		<feature>OutputColumn(DEPREL, ldep(Input[0]))</feature>
	<!--A IMPLEMENTAR<feature>OutputColumn(DEPREL, lsib(rdep(Stack[0])))</feature>-->

<!-- Se ha sacado ldep(Stack) y ldep(Input) en 3T y 3T2 -->
          
		<feature>OutputColumn3T(DEPREL, Stack[0])</feature>
                <feature>OutputColumn3T(DEPREL, rdep(Stack[0]))</feature>
		<feature>OutputColumn3T2(DEPREL, Stack[0])</feature>
		<feature>OutputColumn3T2(DEPREL, rdep(Stack[0]))</feature>
		
	      <feature>InputColumn(FORM, Stack[0])</feature>
		<feature>InputColumn(FORM, Input[0])</feature>
		<feature>InputColumn(FORM, Input[1])</feature>
		<feature>InputColumn(FORM, head1(Stack[0]))</feature>
		<feature>InputColumn(FORM, head2(Stack[0]))</feature>
		<feature>InputColumn(FORM, head3(Stack[0]))</feature>
		<feature>Split(InputColumn(FEATS,Stack[0]),\|)</feature>
		<feature>Split(InputColumn(FEATS,Input[0]),\|)</feature>
		<feature>Split(InputColumn(FEATS,Input[1]),\|)</feature>
		<feature>Split(InputColumn(FEATS,Input[2]),\|)</feature>
		<feature>InputColumn(LEMMA, Stack[0])</feature>
		<feature>InputColumn(LEMMA, Input[0])</feature>
		<feature>InputColumn(LEMMA, pred(Stack[0]))</feature>
		<feature>InputColumn(POSTAG, head1(Input[0]))</feature>
		<feature>InputColumn(POSTAG, head2(Input[0]))</feature>
		<feature>InputColumn(POSTAG, head3(Input[0]))</feature>
		
                <feature>OutputArcRelated(DEPREL, Stack[0], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, Stack[1], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, Stack[2], Input[0])</feature>


<!-- Es necesario-->
		<feature>OutputColumn3TOneHead(DEPREL, Stack[0])</feature>
        </featuremodel>
</featuremodels>
